Pause a rule
POST
/api/v1/automations/{id}/pause
const url = 'https://trongas.ai/api/v1/automations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/pause';const options = {method: 'POST', headers: {'X-Api-Key': '<X-Api-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://trongas.ai/api/v1/automations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/pause \ --header 'X-Api-Key: <X-Api-Key>'Required API-key scope: trade
Stop the rule from firing, keeping it around to resume later. Pausing this way records the reason as User, so auto-resume will not revive it — only you can.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”OK
object
id
required
string format: uuid
type
required
string
resource
required
string
targetAddress
required
string
minimal
required
null | integer | string format: int64
volume
required
null | integer | string format: int64
duration
required
null | string
spentTrx
required
string
status
required
string
pauseReason
required
null | string
autoResume
required
boolean
feeSaverOrderId
required
null | integer | string format: int64
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
object
id
required
string format: uuid
type
required
string
resource
required
string
targetAddress
required
string
minimal
required
null | integer | string format: int64
volume
required
null | integer | string format: int64
duration
required
null | string
spentTrx
required
string
status
required
string
pauseReason
required
null | string
autoResume
required
boolean
feeSaverOrderId
required
null | integer | string format: int64
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "example", "resource": "example", "targetAddress": "example", "minimal": 1, "volume": 1, "duration": "example", "spentTrx": "example", "status": "example", "pauseReason": "example", "autoResume": true, "feeSaverOrderId": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z"}object
id
required
string format: uuid
type
required
string
resource
required
string
targetAddress
required
string
minimal
required
null | integer | string format: int64
volume
required
null | integer | string format: int64
duration
required
null | string
spentTrx
required
string
status
required
string
pauseReason
required
null | string
autoResume
required
boolean
feeSaverOrderId
required
null | integer | string format: int64
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "example", "resource": "example", "targetAddress": "example", "minimal": 1, "volume": 1, "duration": "example", "spentTrx": "example", "status": "example", "pauseReason": "example", "autoResume": true, "feeSaverOrderId": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z"}